xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | non-portable (uses "manpath" and "bash")
Maintainer | Valery V. Vorotyntsev <valery.vv@gmail.com>
Safe Haskell | None

XMonad.Prompt.Man

Contents

- Usage

Description

A manual page prompt for XMonad window manager.

TODO

- narrow completions by section number, if the one is specified (like `/etc/bash_completion` does)

Synopsis

- manPrompt :: XPConfig -> X ()
- getCommandOutput :: String -> IO String
- data Man

# Usage

1. In your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.Man

1. In your keybindings add something like:

         , ((modm, xK_F1), manPrompt defaultXPConfig)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

manPrompt :: XPConfig -> X ()

Query for manual page to be displayed.

getCommandOutput :: String -> IO String

Run a command using shell and return its output.

XXX Merge into `Run`?

(Ask "gurus" whether `evaluate (length ...)` approach is better/more idiomatic.)

data Man

Instances

XPrompt Man |